Description

It would be helpful to be able to place the overview map in the composer. Ideally, you could adjust it (move around, change extents, etc.,

because sometimes the overview map is not exactly right). Currently, to create a locator map, I have to add it as a separate map item,

which is not a big problem. Unfortunately, every time a new layer is added to the canvas, this "locked" map goes blank and has to be

updated with the appropriate layers selected in the canvas. Going through this process made me think that the overview map is really all I

want. Being able to add it to the composer would eliminate the need to create a boundary polygon as well.

History

#1 - 2010-10-27 04:24 PM - timmie -

See also:

http://thread.gmane.org/gmane.comp.gis.qgis.user/9573

http://thread.gmane.org/gmane.comp.gis.qgis.user/9581

#2 - 2010-10-27 04:25 PM - timmie -

It would also be nice to show different layers and symbology in the overview.

I often reduce the level of detail in such overview maps.

#3 - 2010-10-28 03:55 PM - John Tull

What might be a more clear solution would be to have an overview map option in the composer that uses those layers that you have selected to be in the

overview map on the canvas. You could then change the scale of this overview map in the composer, recenter, etc. Something like a "Place overview map"

tool or similar.

Regarding the different layers and symbology, you can choose the layers you want to appear for a particular map. Once you select the lock layers option,

that particular map item will not changed based on the layers you have showing or hidden in the canvas. Unfortunately, the problem with map items

becoming blank when new layers being added to the canvas is still present.

#4 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-07-13 08:19 AM - Alister Hood
http://thread.gmane.org/gmane.comp.gis.qgis.user/9573
http://thread.gmane.org/gmane.comp.gis.qgis.user/9581


- Pull Request or Patch supplied set to No

Going through this process made me think that the overview map is really all I want. Being able to add it to the composer would eliminate the need

to create a boundary polygon as well.

An issue with that approach is that the extent of the map view is not the same as the extent of the detail map in the

print composer.  So the map extent rectangle shown in the overview would be wrong.

Anyway, extent rectangles on composer maps are now implemented in QGIS master.  This seems to provide the result you were really after.  And I don't

see any issues with maps going blank when layers are added.  Perhaps this ticket can be closed...

#7 - 2012-07-13 08:29 AM - John Tull

You are correct that the blanking map problem is gone. I have not seen the extent overlay feature, but will give it a try today. That would provide the

capability that I sought in the original request. On OSX I see the overview frame, but the drop-down menu only has one choice "none", so there appears to

be a little work to do to make it work on all systems. I'll file a bug on that.

#8 - 2012-08-12 08:21 PM - Alister Hood

- Status info deleted (0)

Any updates? Can we close this?

#9 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2013-03-16 01:18 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

overview is now implemented in print composer
